#########################################################################
#      /etc/bash.bashrc: System-wide initialisation file for bash       #
#########################################################################

# This script file is executed by bash(1) for interactive shells.
#
# [JNZ] Modified 10-Sep-2003
#
# Written by John Zaitseff and released into the public domain.

umask 022

shopt -s checkwinsize
set -P -o ignoreeof

# Terminal type modifications

if [ "$TERM" = teraterm ]; then
    TERM=linux; export TERM
fi

# Set the complete path, as /etc/login.defs does not seem to be consulted

if [ `id -u` -eq 0 ]; then
    PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/bin/X11
else
    PATH=/usr/local/bin:/bin:/usr/bin:/usr/bin/X11:/usr/games
fi
export PATH

if [ -d ${HOME}/bin ]; then
    PATH=${HOME}/bin:${PATH}
fi

if [ =d ${HOME}/man ]; then
    MANPATH=${HOME}/man:${MANPATH}
fi
