#########################################################################
#            .bashrc: Personal initialisation file for bash             #
#########################################################################

# This file is executed by interactive shells (ie, shells for which you
# are able to provide keyboard input).  It is the best place to put shell
# aliases, etc.
#
# [JNZ] Modified 10-Oct-2003
#
# Written by John Zaitseff and released into the public domain.

if [ "$PS1" ]; then
    # The shell is interactive

    # Provide useful aliases
    alias cls=clear
    alias dir='ls -laF '
    alias lock='clear;vlock -a;clear'
    alias e='emacs -nw '

    # Set options, depending on terminal type
    if [ -z "$TERM" -o "$TERM" == "dumb" ]; then
        # Not a very smart terminal
        PS1="[ \u@\h | \w ] "; export PS1
    else
        # Assume a smart VT100-based terminal with colour
        if [ -x /usr/bin/dircolors ]; then
            alias ls='ls --color=auto '
            eval `/usr/bin/dircolors --sh`
        fi
        if [ `id -u` -ne 0 ]; then
            PS1="\[\e[7m\][ \u@\h | \w ]\[\e[0m\] "; export PS1
        else
            # Root user gets a nice RED prompt!
            PS1="\[\e[41;30m\][ \u@\h | \w ]\[\e[0m\] "; export PS1
        fi
    fi
fi

# Set a few variables for your convenience

CVSROOT=:ext:cvs.zap.org.au:/data/cvs; export CVSROOT
CVS_RSH=ssh; export CVS_RSH
